%define module	SQLite-Work
%define name	perl-%{module}
%define version 0.09
%define	release	%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Perl module to report on and update an SQLite database
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/SQLite/%{module}-%{version}.tar.bz2
BuildRequires:	perl(CGI)
BuildRequires:	perl(DBD::SQLite)
BuildRequires:	perl(Getopt::ArgvFile)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Text::NeatTemplate)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This generates HTML (and non-HTML) reports from an SQLite database, taking care
of the query-building and the report formatting. This also has methods for
adding and updating the database.

The SQLite::Work::CGI module has extra methods which deal with CGI using the
CGI module; the included "show.cgi" and "edit.cgi" are demonstration CGI
scripts which use the SQLite::Work::CGI module.

The sqlreport script uses SQLite::Work to generate reports from the
command-line.

%prep
%setup -q -n %{module}-%{version}
find . -type f | xargs chmod +w

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README TODO *.cgi
%{perl_vendorlib}/SQLite
%{_mandir}/*/*
%{_bindir}/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.09-5mdv2009.0
+ Revision: 258382
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.09-4mdv2009.0
+ Revision: 246426
- rebuild

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-2mdv2008.1
+ Revision: 138307
- fix build dependencies
- fix build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Thauvin <nanardon@mandriva.org>
    - 0.09


* Thu Feb 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-2mdk
- Fix BuildRequires
- make rpmbuildupdate friendly

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.04-1mdk
- Initial Mandriva release.

